<?php
/**
 * @file
 * WhiteJazz D7.x template.php
 */

/**
 * Implemts hook_preprocess_html()
 */
function whitejazz_preprocess_html(&$variables) {

  /* add css files */
  drupal_add_css(path_to_theme() . '/css/layout.css', array('media' => 'screen', 'weight' => '200'));
  drupal_add_css(path_to_theme() . '/css/style.css', array('media' => 'screen', 'weight' => '201')); //is not settet in info file because it's loades to late
  drupal_add_css(path_to_theme() . '/css/sf.css', array('media' => 'screen', 'weight' => '202')); //is not settet in info file because it's loades to late

  if (theme_get_setting('whitejazz_uselocalcontent')) {
    $local_content = path_to_theme() . '/' . theme_get_setting('whitejazz_localcontentfile');
    if (file_exists($local_content)) {
      drupal_add_css($local_content, array('media' => 'screen', 'weight' => '204'));
    } else {
    $local_content = theme_get_setting('whitejazz_localcontentfile');
      if (file_exists($local_content)) {
        drupal_add_css($local_content, array('media' => 'screen', 'weight' => '204'));
      }
    }
  }

// no ie6 support
//  drupal_add_css
//  (
//    path_to_theme() . '/css/ie.css',
//    array
//    (
//      'group' => CSS_THEME,
//      'browsers' => array
//      (
//      'IE' => 'IE',
//      '!IE' => FALSE
//      ),
//    'preprocess' => FALSE
//    )
//  );

/**
 * css inline, meta tag implementation
 */

  $css = '';
  $page_width = theme_get_setting('whitejazz_width');
  $page_left_width = theme_get_setting('whitejazz_leftsidebarwidth');
  $page_right_width = theme_get_setting('whitejazz_rightsidebarwidth');
  $page_max_width = theme_get_setting('whitejazz_maxwidth');
  $page_font = theme_get_setting('whitejazz_fontfamily');
  $page_customfont = theme_get_setting('whitejazz_customfont');
  $page_logowidth = theme_get_setting('whitejazz_logowidth');
  $page_logoheight = theme_get_setting('whitejazz_logoheight');
  $page_responsive = theme_get_setting('whitejazz_responsive');
  $page_customlogosize = theme_get_setting('whitejazz_usecustomlogosize');

  if (!$page_width) {
    $page_width = '95%';
  }

  $css .= "#page{width:" . $page_width .";max-width:" . $page_max_width . "px}\n";

  /* css calculation */
  $css .= "@media all and (min-width: 851px) {\n";

  $css .= "#sidebar-first { width: ${page_left_width}; }\n";
  $css .= "#sidebar-second { width: ${page_right_width}; margin-left: -${page_right_width}; }\n";
  $css .= "[dir='rtl'] #sidebar-second { margin-right: -${page_right_width}; }\n";

  $css .= ".two-sidebars #main { width: calc(100% - (${page_left_width} + ${page_right_width})); margin-left: ${page_left_width}; margin-right:${page_right_width}; }\n";

  $css .= ".sidebar-first #main { width: calc(100% - ${page_left_width}); margin-left: ${page_right_width}; margin-right: 0; }\n";

  $css .= "[dir='rtl'] .sidebar-first #main { margin-left: 0; margin-right: ${page_right_width}; }\n";

  $css .= ".sidebar-second #main { width: calc(100% - ${page_right_width}); margin-right: ${page_right_width}; margin-left: 0; }\n";

  $css .= "[dir='rtl'] .sidebar-second #main { margin-right: 0; margin-left: ${page_right_width}; }\n";

  $css .= "}\n";

  if($page_font != 'Costum') {
  $css .= "body {font-family:" . $page_font . ";}\n";
  } elseif ($page_customfont) {
  $css .= "body {font-family:" . str_replace(array("&quot;", '\\', '/', '&#039;', '(', ')', ':', ';'), array('"', ''), check_plain($page_customfont)) . ";}\n";
  }

  if ($page_customlogosize) {
    $css .= "img#logo {
        width : " . $page_logowidth . "px;
        height: " . $page_logoheight . "px;
      }\n";
  }

  /* add meta data for responsive */
  // may be add a mobilswich
  $meta_viewport = array(
    '#type' => 'html_tag',
    '#tag' => 'meta',
    '#attributes' => array(
      'name' => 'viewport',
      'content' => 'width=device-width',
      'initial' => '1.0'
    )
  );
  $meta_http_equiv = array(
    '#type' => 'html_tag',
    '#tag' => 'meta',
    '#attributes' => array(
      'content' => 'IE=edge',
      'http-equiv' => 'X-UA-Compatible',
    ),
    '#weight' => '-9999',
  );
  drupal_add_html_head($meta_http_equiv, 'meta_http_equiv');
  drupal_add_html_head($meta_viewport, 'meta_viewport');

/* add css inline data */
  drupal_add_css($css, array('type' => 'inline', 'preprocess' => FALSE, 'data' => $css, 'weight' => '205', 'media' => 'screen'));

}

/**
  * Implements hook_preprocess_block()
  */
function whitejazz_preprocess_block(&$variables) {
  // In the header region visually hide block titles.
  if ($variables['block']->region == 'header' || $variables['block']->region == 'suckerfish') {
    $variables['title_attributes_array']['class'][] = 'element-invisible';
  }
  $variables['title_attributes_array']['class'][] = 'title';
}
